# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
Summary:	Web based Javascript HTML WYSIWYG editor control
Name:		tinymce
Version:	3.4.3.2
Release:	alt1_7
Group:		Publishing
License:	LGPLv2+
URL:		http://tinymce.moxiecode.com

Source0:	http://cloud.github.com/downloads/tinymce/tinymce/%{name}_%{version}.zip
BuildArch:	noarch
Source44: import.info

%description
TinyMCE is a platform independent web based Javascript HTML WYSIWYG
editor control released as by Moxiecode Systems AB. It has the ability 
to convert HTML TEXTAREA fields or other HTML elements to editor instances.
TinyMCE is very easy to integrate into other CMS systems.

%prep
%setup -q -n %{name}
# Convert to UTF-8
for file in changelog.txt ./jscripts/tiny_mce/license.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done
# Convert from DOS to UNIX line endings
for file in changelog.txt ./jscripts/tiny_mce/license.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done



%build
# Nothing here, since it is webapp
# so, nothing has to be compiled


%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp -pr * ${RPM_BUILD_ROOT}%{_datadir}/%{name}
# Remove unnecessary src *.js files
find ${RPM_BUILD_ROOT} -name '*_src.js' | xargs rm
# Remove empty files to make rpmlint happy
find ${RPM_BUILD_ROOT} -empty -exec rm -f {} \;
# Set the appropriate permissions, since unzip doesn't
chmod -R 755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}
find ${RPM_BUILD_ROOT}%{_datadir}/%{name} -type f | xargs chmod 644
# These are docs, remove them from here, docify them later
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/{changelog.txt,jscripts/tiny_mce/license.txt}
# Remove spellchecker plugin, we have separate package for that
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/jscripts/tiny_mce/plugins/spellchecker

%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples
%doc changelog.txt
%dir %{_datadir}/%{name}/jscripts
%dir %{_datadir}/%{name}/jscripts/tiny_mce
%{_datadir}/%{name}/jscripts/tiny_mce/langs
%{_datadir}/%{name}/jscripts/tiny_mce/themes
%{_datadir}/%{name}/jscripts/tiny_mce/utils
%{_datadir}/%{name}/jscripts/tiny_mce/*.js
%doc jscripts/tiny_mce/license.txt
%{_datadir}/%{name}/jscripts/tiny_mce/plugins


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 3.4.3.2-alt1_7
- initial fc import

